name: Run Build
run-name: ${{ gitea.actor }} is building tview
on: [push]

jobs:
  run-build-arch:
    container:
      image: archlinux:multilib-devel
    steps:
    - name: Install dependencies
      run: pacman -Sy --noconfirm sdl2 mesa-utils exiv2 cmake nodejs git && pacman -Syu --noconfirm
    - name: Check out repository code
      uses: actions/checkout@v4
    - name: Run ls
      run: ls
    - name: Generate build files
      run: cmake .
    - name: Build
      run: cmake --build .
  run-build-ubuntu:
    container:
      image: ubuntu:24.04
    steps:
    - name: Install dependencies
      run: apt update && apt install --no-install-recommends -y build-essential cmake libsdl2-dev libexiv2-dev mesa-utils nodejs ca-certificates git
    - name: Check out repository code
      uses: actions/checkout@v4
    - name: Generate build files
      run: cmake .
    - name: Build
      run: cmake --build .
  run-build-debian:
    container:
      image: debian:bookworm
    steps:
    - name: Install dependencies
      run: apt update && apt install --no-install-recommends -y build-essential cmake libsdl2-dev libexiv2-dev mesa-utils nodejs ca-certificates git
    - name: Check out repository code
      uses: actions/checkout@v4
    - name: Generate build files
      run: cmake .
    - name: Build
      run: cmake --build .
